#ifndef QGSETTINGS_H
#define QGSETTINGS_H

#include <QObject>
#include <QSettings>

class QgSettings : public QSettings
{
    Q_OBJECT
public:
    enum IniScope
    {
       IniSessionScope,
       IniUserScope
    };

    //explicit QgSettings(QObject *parent = 0);

    QgSettings(const QString& filename=QString(), IniScope iniScope =IniSessionScope, QObject* parent=0);

    static void setOrganizationName(const QString&);
    static void setOrganizationDomain(const QString&);
    static void setApplicationName(const QString&);

    static void setApplicationIni(const QString&);

signals:

public slots:

};

#endif // QGSETTINGS_H
